<!-- index -->
<div class="d-flex">
  <h3 class="mr-auto">
    Fragmentation data
  </h3>
  <div>
    {{file-upload
      modalId="frag-file-upload-modal"
      title="Import fragmentation file"
      routeLabel="fragsamples/uploadfile"
      metaDatas=uploadMetaDatas
    }}
  </div>
</div>
<div>
  <table class="table table-sm table-hover table-striped">
    <thead>
      <tr>
        <th scope="col">
          Name
        </th>
        <th scope="col">
          File Name
        </th>
        <th scope="col">
          Ions Count
        </th>
        <th scope="col" width="30px"></th>
      </tr>
    </thead>
    <tbody>
      <!-- <div class="list-group"> -->
      {{#each model as |sample|}}
        <tr>
          <td>
            {{#if sample.importFinish}}
              {{#link-to "fragsamples.show" sample}}
                {{sample.name}}
              {{/link-to}}
            {{else}}
              <i>
                {{sample.name}}
              </i>
            {{/if}}
          </td>
          <td>
            {{sample.file_name}}
          </td>
          <td>
            {{#if sample.importFinish}}
              {{sample.ions_count}}
            {{else}}
              <div class="progress">
                <div
                  class="progress-bar"
                  role="progressbar"
                  style={{sample.loadingRatio.style}}
                  aria-valuenow="25"
                  aria-valuemin="0"
                  aria-valuemax="100"
                >
                  {{sample.ions_count}}
                  /
                  {{sample.ions_total}}
                </div>
              </div>
            {{/if}}
          </td>
          <td>
            {{#if sample.has_no_project}}
              {{#bs-button
                class="btn-sm"
                type="danger"
                onClick=(action (mut dataToDelete) sample)
              }}
                {{svg-jar "trashcan" class="octicon"}}
              {{/bs-button}}
            {{/if}}
          </td>
        </tr>
      {{/each}}
    </tbody>
  </table>
  {{pagination-handler data=model}}
</div>
{{delete-modal
  title="Delete sample"
  dataToDelete=dataToDelete
  dataLabel=model.dataLabel
  updateDataController="updateDataController"
}}